﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SFML.Window;
using YourBeatingHeart.Main.Entities;

namespace YourBeatingHeart.Main.States.Play.Entities
{
    public abstract class PlayStateEntity : Entity
    {
        protected PlayState playState;

        public PlayStateEntity(PlayState playState, Vector2f position, float rotation = 0) :
            base(playState.Game, position, rotation)
        {
            this.playState = playState;
        }
    }
}
